: Class Splash

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ## TsBiff 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ts.biff
Class Splash

    java.lang.Object
      |
      +--ts.biff.Splash

public final class Splash
extends java.lang.Object

Displays a Splash Image in a window at the center of the screen The window will have an area at the bottom of the screen for displaying optional messages.

### SYNOPSIS

       Splash splash= Splash.createSplash();
       splash.showSplash();
       splash.print("Loading classes..");
        < Instantiate appliaction classes >
       splash.print("Setting up configuration..");
        < do configuration stuff >
       .
       .
        and so on
       splash.closeSplash();

Version:
  $Id: Splash.java,v 1.14 2000/04/16 13:51:21 hauk Exp $
Author:
  Jan-Henrik Haukeland <hauk@tildeslash.com>

Method Summary
`static void` | `center(java.awt.Window window)`
`void` | `close()`
`static Splash` | `createSplash()`
`static void` | `main(java.lang.String[] a)`
`void` | `print(java.lang.String s)`
`void` | `setFont(java.awt.Font f)`
`void` | `setTextColor(java.awt.Color c)`
`void` | `show()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createSplash

    public static Splash createSplash()

### show

    public void show()

### close

    public void close()

### print

    public void print(java.lang.String s)

### center

    public static final void center(java.awt.Window window)

### setFont

    public void setFont(java.awt.Font f)

### setTextColor

    public void setTextColor(java.awt.Color c)

### main

    public static void main(java.lang.String[] a)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ## TsBiff 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD